<?php
//No hacemos nada si no está  todo correcto
if ($todo_correcto){
?>
<script language="javascript1.5" type="text/javascript">
	$(document).ready(function(){
		$("span.seleccionar_todos_emails").on("click", function(){
			copia_emails_a_envio("span.email_seleccionable:visible");
		});
		$("span.email_seleccionable").on("click", function(){
			var id = $(this).attr("id");
			copia_emails_a_envio("#" + id);
		});

		$("#filtro").on("input", function(){
			var filtro = $(this).prop("value");
			aplica_filtro(filtro);
		});

		$("#deshacer_filtros_email").on("click", function(){
			$("#filtro").prop("value", "");
			aplica_filtro("");
			$("#filtro").focus();
		});
		$("#filtro").focus();
		$("#enviar_email_novedades").on("click", function(){
			var lista_emails = captura_emails();
			if (lista_emails != ""){
				$("#lista_direcciones").prop("value", lista_emails);
				$("#form_enviar_novedades").submit();
			}
		});
		
	});

/*-----------------------------------------------------------------------*/
/*-------------------- Preguntamos si enviar los emails -----------------*/
/*-----------------------------------------------------------------------*/
function pregunta_envia_emails(){
	if (confirm("¿Desea enviar los emails pendientes?")){
		document.location = '<?=Shop::$configuracion->url;?>/newsletter.php';
	}else{
		return(false);
	}
}

function captura_emails(){
	var lista_emails = new Array();
	$(".direccion_envio direccion").each(function(){
		lista_emails[lista_emails.length] = $(this).html();
	});
	lista_emails = lista_emails.toString().replace(/,/g, ";");
	//console.log(lista_emails);
	return(lista_emails);
}

function aplica_filtro(filtro){
	filtro = filtro.trim();
	if (filtro == ""){
		$(".email_seleccionable").show();
		$("#deshacer_filtros_email").hide();
	}else{
		$("#deshacer_filtros_email").show();
		//Tenemos que recorrer todos los emails seleccionables para ver cuales contienen las letras elegidas
		$(".email_seleccionable").each(function(){
			var texto = $(this).html();
			if (texto.search(filtro) == -1){
				$(this).hide();
			}else{
				$(this).show();
			}
		});
	}
}

function copia_emails_a_envio(filtro){
	var elemento = $(filtro);
	//tenemos que pasar el elemento a los emails definitivos y borrarlo
	elemento.each(function(){
		//Obtenemos la direccion de email
		var email = $(this).html();
		var texto = crea_cadena_email_envio(email);
		var texto = $(texto);
		//Insertamos el elemento en la lista de emails a enviar
		$("#enviar_lista").append(texto);
		texto.children("a").on("click", function(){ deseleccion_emails($(this));});
		//Borramos el elemento
		elemento.remove();
	});
}

function crea_cadena_email_envio(email){
	var email_limpio = limpia_email(email);
	var texto = '<span class="direccion_envio" id="direccion_' + email_limpio + '"><direccion>' + email + '</direccion><a id="href_' + email_limpio + '" href="javascript:void(0);" class="close">x</a></span>';
	return(texto);
}

function crea_cadena_email_filtro(email){
	var email_limpio = limpia_email(email);
	var texto = '<span class="email_seleccionable" id="' + email_limpio + '">' + email + '</span>';
	return(texto);
}


function limpia_email(email){
	var retorno = email;
	retorno = retorno.replace(/@/g, "_arroba_");
	retorno = retorno.replace(/ /g, "_espacio_");
	retorno = retorno.replace(/;/g, "_puntoComa_");
	retorno = retorno.replace(/\./g, "_dot_");
	retorno = retorno.replace(/'/g, "_apostrofe_");
	return(retorno);
}

function deseleccion_emails(elemento){
	elemento = (elemento.parent("span"));
	var email = elemento.children("direccion").html();
	var texto = crea_cadena_email_filtro(email);
	texto = $(texto);
	$("#lista_mails").append(texto);
	//Vamos a ponerle a "texto" un listener
	texto.on("click", function(){
		var id = $(this).attr("id");
		copia_emails_a_envio("#" + id);
	});
	//Borramos el elemento
	elemento.remove();
	//Vamos a aplicar el filtro
	var filtro = $("#filtro").prop("value");
	aplica_filtro(filtro);
}
</script>

</head>
<body>
<div id="opciones_top">
    <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
</div>
<?php
		//Vamos a cargar la lista de artículos
		$pagina = dame_valor_variable_global("pagina", 0);
		$busqueda_realizada = dame_valor_variable_global("busqueda", false);
		$txt_nombre = dame_valor_variable_global("nombre", "");
		$txt_autor = dame_valor_variable_global("autor", "");
		$txt_editorial = dame_valor_variable_global("editorial", "");
		$txt_ean = dame_valor_variable_global("ean", "");
		$txt_checks1 = dame_valor_variable_global("normal_envio", "");
		$txt_checks2 = dame_valor_variable_global("pendiente_envio", "");
		$txt_checks3 = dame_valor_variable_global("enviado_envio", "");
		$mod_estado = dame_valor_variable_global("mod_estado", "");
		
		//Si hay que modificar el estado de los artículos ejecutamos el siguiente código
		if ($mod_estado != ""){
			$lista_select = $_POST['select'];
			$lista_select = " ( " . implode(",", $lista_select) . " ) ";
			$insert_sql = "UPDATE articulo SET pendiente_envio = $mod_estado WHERE codigo IN $lista_select";
			mysqli_query($conexionBD, $insert_sql);
		}
?>

	<div class="art-postcontent">
		<div id="envio_emails">
			<h1>Lista de emails</h1>
            
            <div id="enviar_a">
            	Enviar a:
            </div>
			<div id="enviar_lista">
<?php
/*
				<span class="direccion_envio">
					<?=$email;?>
					<a id="href_<?=$email;?>" href="javascript:void(0);" class="close">x</a>
				</span>
*/
?>
            </div>
            <div id="filtrado">
				<label>Mostrar direcciones que contengan</label>
				<input type="text" name="filtro" id="filtro" maxlength="65"/>
				<a href="javascript:void(0);" id="deshacer_filtros_email" >x</a>
			</div>
			<div id="lista_mails">
            	<span class="seleccionar_todos_emails">Todos</span>
<?php
	//Aquí es donde vamos a cargar las direcciones de envío de la tabla de newsletter
	$email = "";
	$sentencia_sql = "SELECT email FROM newsletter";
    if ($conexionBD) {
        if ($resultado = mysqli_query($conexionBD, $sentencia_sql)) {
            while ($fila = mysqli_fetch_array($resultado)) {
                $email = $fila['email'];
				$email_sin_arroba = $email;
				$email_sin_arroba = str_replace("@", "_arroba_", $email_sin_arroba);
				$email_sin_arroba = str_replace(" ", "_espacio_", $email_sin_arroba);
				$email_sin_arroba = str_replace(";", "_puntoComa_", $email_sin_arroba);
				$email_sin_arroba = str_replace(".", "_dot_", $email_sin_arroba);
				$email_sin_arroba = str_replace("'", "_apostrofe_", $email_sin_arroba);
?>
            	<span class="email_seleccionable" id="<?=$email_sin_arroba;?>"><?=$email;?></span>
<?php
            }
        }
    }
?>
            </div>
            <a href="javascript:void(0);" class="enviar" id="enviar_email_novedades">Enviar</a>
			<form action="<?=Shop::$configuracion->url;?>admin/newsletter.php" style="display:none;" id="form_enviar_novedades" method="post">
				<input type="hidden" name="lista_direcciones" value="" id="lista_direcciones" />
				<input type="submit" />
			</form>
		</div> 
	</div><!-- /fin del cuerpo del articulo -->
</body>
</html>
<?php
}
?>